### Hierarchy

- Error
  - ApiError

### Implements

- IApiError

## Index

### Constructors

- constructor

### Properties

- code
- data
- error
- httpCode
- httpText
- message
- method
- name
- stack
- statusCode
- Error

## Constructors

### constructor

- new ApiError(params: IApiErrorParams): ApiError

- - Defined in Api.ts:109

  #### Parameters

  - ##### params: IApiErrorParams

  #### Returns ApiError

## Properties

### code

code: number = 0

Implementation of IApiError.code

- Defined in Api.ts:105

### data

data: any

Implementation of IApiError.data

- Defined in Api.ts:104

### error

error: any

Implementation of IApiError.error

- Defined in Api.ts:108

### httpCode

httpCode: number = 0

Implementation of IApiError.httpCode

- Defined in Api.ts:107

### httpText

httpText: any = ""

Implementation of IApiError.httpText

- Defined in Api.ts:109

### message

message: string

Implementation of IApiError.message

Inherited from Error.message

- Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:964

### method

method: string = ""

Implementation of IApiError.method

- Defined in Api.ts:103

### name

name: string

Inherited from Error.name

- Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:963

### Optional stack

stack: undefined | string

Inherited from Error.stack

Overrides Error.stack

- Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:965

### statusCode

statusCode: number = 0

Implementation of IApiError.statusCode

- Defined in Api.ts:106

### Static Error

Error: ErrorConstructor

- Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:974

Generated using TypeDoc